Subject: Re: [Int-area] New Version Notification for draft-fleischhauer-ipv4-addr-saving-02.txt - Feedback wanted

From: <[email-masked]>
Date: Mon, 12 Mar 2012 09:31:06 +0100

Hi folks

About 1 week ago we've released version 02 of the I-D  draft-fleischhauer-ipv4-addr-saving-02.txt as you can see from the IETF message below.

The basic Idea of this I-D is to de-couple IPCP and IPCPv6 within a Dual-Stack PPP session in order to be more flexible with the needed resources especially for the IPCP part of the PPP session. The I-D tries to explain some uses cases and also the gains for such an approach especially from a service provider point of view. Besides that it sketches how the IPCP message flow for releasing and requesting the IPv4 parameters in a Dual-Stack PPP session can work independently of the existing IPCPv6 connection.

We know that there is a huge amount of stuff to read before the IETF meetings, but it would be very helpful for us to get your feedback in order to extent / improve this I-D.
Already your basic opinion would help us a lot. 
(This I-D "- Makes sense" or "Is not needed from my point of view" or "I don't care" or "Bring it to another working group (where?)").

Thanks a lot in advance.
Regards
 	Karsten and Olaf

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]]
> Gesendet: Dienstag, 28. Februar 2012 21:39
> An: Fleischhauer, Karsten
> Cc: Bonneß, Olaf
> Betreff: New Version Notification for 
> draft-fleischhauer-ipv4-addr-saving-02.txt
> 
> A new version of I-D,
> draft-fleischhauer-ipv4-addr-saving-02.txt has been successfully 
> submitted by Karsten Fleischhauer and posted to the IETF repository.
> 
> Filename:	 draft-fleischhauer-ipv4-addr-saving
> Revision:	 02
> Title:		 On demand IPv4 address provisioning in 
> Dual-Stack PPP deployment scenarios
> Creation date:	 2012-02-28
> WG ID:		 Individual Submission
> Number of pages: 18
> 
> Abstract:
>    Today the Dual-Stack approach is the most straightforward and the most common way for introducing IPv6 into existing systems and
>    networks.  However a typical drawback of implementing Dual-Stack is that each node will still require at least one IPv4 address.  
>   Hence,  solely deploying Dual-Stack does not provide a sufficient solution to the IPv4 address exhaustion problem.  Assuming a situation where 
>  most  of the IP communication (e.g. always-on, VoIP etc.) can be provided via IPv6, the usage of public IPv4 addresses can significantly be
>    reduced and the unused public IPv4 addresses can under certain circumstances be returned to the public IPv4 address pool of the
>    service provider.  New Dual-Stack enabled services can be introduced without increasing the public IPv4 address demand, when
>   IPv6 will be the preferred network layer protocol.  This document describes such a solution in a Dual-Stack PPP session network scenario and explains
>    the protocol mechanisms which are used.
> 
> The IETF Secretariat
>